# DaprProtos.RenameActorReminderRequestOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprProtos.RenameActorReminderRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.RenameActorReminderRequest`, `DaprProtos.RenameActorReminderRequest.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.RenameActorReminderRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getActorId()` `string actor_id = 2;`
`com.google.protobuf.ByteString` `getActorIdBytes()` `string actor_id = 2;`
`String` `getActorType()` `string actor_type = 1;`
`com.google.protobuf.ByteString` `getActorTypeBytes()` `string actor_type = 1;`
`String` `getNewName()` `string new_name = 4;`
`com.google.protobuf.ByteString` `getNewNameBytes()` `string new_name = 4;`
`String` `getOldName()` `string old_name = 3;`
`com.google.protobuf.ByteString` `getOldNameBytes()` `string old_name = 3;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getActorType

    String getActorType()

`string actor_type = 1;`

Returns:
  The actorType.

#### getActorTypeBytes

    com.google.protobuf.ByteString getActorTypeBytes()

`string actor_type = 1;`

Returns:
  The bytes for actorType.

#### getActorId

    String getActorId()

`string actor_id = 2;`

Returns:
  The actorId.

#### getActorIdBytes

    com.google.protobuf.ByteString getActorIdBytes()

`string actor_id = 2;`

Returns:
  The bytes for actorId.

#### getOldName

    String getOldName()

`string old_name = 3;`

Returns:
  The oldName.

#### getOldNameBytes

    com.google.protobuf.ByteString getOldNameBytes()

`string old_name = 3;`

Returns:
  The bytes for oldName.

#### getNewName

    String getNewName()

`string new_name = 4;`

Returns:
  The newName.

#### getNewNameBytes

    com.google.protobuf.ByteString getNewNameBytes()

`string new_name = 4;`

Returns:
  The bytes for newName.